// FILENAME:	DM_Waterworks.cs
//
// AUTHOR:  	Raxon
//------------------------------------------------------------------------------

$missionName = "DM_Waterworks";

exec("multiplayerStdLib.cs");
exec("DMstdLib.cs");

$server::HudMapViewOffsetX = 62;
$server::HudMapViewOffsetY = 7912;

function setDefaultMissionOptions()
{
	$server::TeamPlay = false;
	$server::AllowDeathmatch = true;
	$server::AllowTeamPlay = true;	

   // what can the client choose for a team
	$server::AllowTeamRed = true;
	$server::AllowTeamBlue = true;
	$server::AllowTeamYellow = false;
	$server::AllowTeamPurple = false;

   // what can the server admin choose for available teams
   $server::disableTeamRed = false;
   $server::disableTeamBlue = false;
   $server::disableTeamYellow = true;
   $server::disableTeamPurple = true;
}
function onMissionStart()
{
	marsSounds();
}

function onMissionLoad(){
   cdAudioCycle("Purge", "Terror", "Watching"); 
}

function player::onAdd(%player) 
{ 
   say(%player, 0, "<f5><jc>Welcome to DM_Waterworks."); 
}

function vehicle::onadd(%vehicleId)
{
   %player = playermanager::vehicleIdtoPlayerNum(%vehicleId);
   schedule("setAlive("@%player@");",1);   
}

function water::trigger::onenter(%this,%object)
{
%player = playermanager::vehicleidtoplayernum(%object);
say(%player, 0, "sfx_rain.wav");
}

function forward::trigger::onEnter(%this, %object)
{
%object.Cancel = false;
%object.up = true;
up(%object);
}

function fortog::trigger::onEnter(%this, %object)
{
%object.up = false;
%object.cancel = true;
}

function up(%object)
{
if(%object.cancel == true) return;
else if(%object.up == true)
{
%object.upx = getposition(%object, x);
%object.upy = getposition(%object, y)+5;
%object.upz = getposition(%object, z);
setposition(%object, %object.upx, %object.upy, %object.upz);
schedule("up(" @ %object @ ");",0.1);
}
}

function backward::trigger::onEnter(%this, %object)
{
%object.Cancel = false;
%object.up2 = true;
up2(%object);
}

function backtog::trigger::onEnter(%this, %object)
{
%object.up2 = false;
%object.cancel = true;
}

function up2(%object)
{
if(%object.cancel == true) return;
else if(%object.up2 == true)
{
%object.up2x = getposition(%object, x);
%object.up2y = getposition(%object, y)-5;
%object.up2z = getposition(%object, z);
setposition(%object, %object.up2x, %object.up2y, %object.up2z);
schedule("up2(" @ %object @ ");",0.1);
}
}

function left2::trigger::onEnter(%this, %object)
{
%object.Cancel = false;
%object.up7 = true;
up7(%object);
}

function lefttog2::trigger::onEnter(%this, %object)
{
%object.up7 = false;
%object.cancel = true;
}

function up7(%object)
{
if(%object.cancel == true) return;
else if(%object.up7 == true)
{
%object.up7x = getposition(%object, x)-5;
%object.up7y = getposition(%object, y);
%object.up7z = getposition(%object, z);
setposition(%object, %object.up7x, %object.up7y, %object.up7z);
schedule("up7(" @ %object @ ");",0.1);
}
}

function right2::trigger::onEnter(%this, %object)
{
%object.Cancel = false;
%object.up8 = true;
up8(%object);
}

function righttog2::trigger::onEnter(%this, %object)
{
%object.up8 = false;
%object.cancel = true;
}

function up8(%object)
{
if(%object.cancel == true) return;
else if(%object.up8 == true)
{
%object.up8x = getposition(%object, x)+5;
%object.up8y = getposition(%object, y);
%object.up8z = getposition(%object, z);
setposition(%object, %object.up8x, %object.up8y, %object.up8z);
schedule("up8(" @ %object @ ");",0.1);
}
}

function redrop::trigger::onEnter(%t,%v)
{
   reDrop(%v);
}

function kill::trigger::onEnter(%this,%object)
{
   healobject(%object,-50000);
   say(0,0,"<f5>" @ gethudname(%object) @ " <f5>fell into the current!");
}


